com.icesoft.faces.component.panelpositioned

## Class PanelPositionedEvent

- java.lang.Object
- - java.util.EventObject
  - - javax.faces.event.FacesEvent
    - - com.icesoft.faces.component.panelpositioned.PanelPositionedEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class PanelPositionedEvent
      extends javax.faces.event.FacesEvent

  Event fired by positioned panel events
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `TYPE_ADD`
    `static int` | `TYPE_MOVE`
    `static int` | `TYPE_REMOVE`

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PanelPositionedEvent(javax.faces.component.UIComponent uiComponent, javax.faces.el.MethodBinding listener, int eventType, int index, int oldIndex, java.util.List oldList, java.util.List newList)`
    `PanelPositionedEvent(javax.faces.component.UIComponent uiComponent, javax.faces.el.MethodBinding listener, int eventType, int index, int oldIndex, java.util.List oldList, java.util.List newList, javax.faces.el.MethodBinding beforeChangedListener)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cancel()`
    `javax.faces.el.MethodBinding` | `getBeforeChangedListener()`
    `int` | `getIndex()` Index added, removed or changed
    `javax.faces.el.MethodBinding` | `getListener()`
    `int` | `getOldIndex()` The other index when the event type is MOVE.
    `javax.faces.event.PhaseId` | `getPhaseId()`
    `int` | `getType()` Type of event cna be Added, Removed or changed
    `boolean` | `isAppropriateListener(javax.faces.event.FacesListener facesListener)`
    `boolean` | `isCanceled()`
    `void` | `process()`
    `void` | `processListener(javax.faces.event.FacesListener facesListener)`
    `void` | `setBeforeChangedListener(javax.faces.el.MethodBinding beforeChangedListener)`
    `void` | `setIndex(int index)`
    `void` | `setListener(javax.faces.el.MethodBinding listener)`
    `void` | `setOldIndex(int oldIndex)`
    `void` | `setPhaseId(javax.faces.event.PhaseId phaseId)`
    `void` | `setType(int type)`

    - ### Methods inherited from class javax.faces.event.FacesEvent

      `getComponent, queue`

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE_ADD

          public static int TYPE_ADD

    - #### TYPE_REMOVE

          public static int TYPE_REMOVE

    - #### TYPE_MOVE

          public static int TYPE_MOVE

  - ### Constructor Detail

    - #### PanelPositionedEvent

          public PanelPositionedEvent(javax.faces.component.UIComponent uiComponent,
                                      javax.faces.el.MethodBinding listener,
                                      int eventType,
                                      int index,
                                      int oldIndex,
                                      java.util.List oldList,
                                      java.util.List newList)

    - #### PanelPositionedEvent

          public PanelPositionedEvent(javax.faces.component.UIComponent uiComponent,
                                      javax.faces.el.MethodBinding listener,
                                      int eventType,
                                      int index,
                                      int oldIndex,
                                      java.util.List oldList,
                                      java.util.List newList,
                                      javax.faces.el.MethodBinding beforeChangedListener)

  - ### Method Detail

    - #### getPhaseId

          public javax.faces.event.PhaseId getPhaseId()

      Overrides:
        `getPhaseId` in class `javax.faces.event.FacesEvent`

    - #### setPhaseId

          public void setPhaseId(javax.faces.event.PhaseId phaseId)

      Overrides:
        `setPhaseId` in class `javax.faces.event.FacesEvent`

    - #### isAppropriateListener

          public boolean isAppropriateListener(javax.faces.event.FacesListener facesListener)

      Specified by:
        `isAppropriateListener` in class `javax.faces.event.FacesEvent`

    - #### processListener

          public void processListener(javax.faces.event.FacesListener facesListener)

      Specified by:
        `processListener` in class `javax.faces.event.FacesEvent`

    - #### process

          public void process()

    - #### getListener

          public javax.faces.el.MethodBinding getListener()

    - #### setListener

          public void setListener(javax.faces.el.MethodBinding listener)

    - #### getBeforeChangedListener

          public javax.faces.el.MethodBinding getBeforeChangedListener()

    - #### setBeforeChangedListener

          public void setBeforeChangedListener(javax.faces.el.MethodBinding beforeChangedListener)

    - #### getIndex

          public int getIndex()

      Index added, removed or changed
      Returns:
        int index

    - #### setIndex

          public void setIndex(int index)

    - #### getOldIndex

          public int getOldIndex()

      The other index when the event type is MOVE. Otherwise its -1.
      Returns:
        int oldIndex

    - #### setOldIndex

          public void setOldIndex(int oldIndex)

    - #### getType

          public int getType()

      Type of event cna be Added, Removed or changed
      Returns:
        int type

    - #### setType

          public void setType(int type)

    - #### cancel

          public void cancel()

    - #### isCanceled

          public boolean isCanceled()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.